Get single browser session
curl --request GET \
--url https://api.brightdata.com/browser_sessions/{session_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/browser_sessions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/browser_sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"session_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"api_name": "scraping_browser1",
"status": "finished",
"timestamp": "2025-12-16T18:53:41Z",
"target_url": "https://www.example.com",
"end_url": "https://www.example.com/example/sub/domain",
"navigations": 4,
"duration": 209.444,
"captcha": "solved",
"bandwidth": 123456789,
"error": null
}
}
浏览器 API
获取浏览器会话
Retrieve details of a specific browser session using its session_id.
GET
/
browser_sessions
/
{session_id}
Get single browser session
授权
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
路径参数
Unique session identifier.
To retrieve the
session_idof your current browser session, useBrowser.getSessionIdCDP command.
响应
Session retrieved successfully
Show child attributes
Show child attributes
此页面对您有帮助吗?